package com.ssj.service.conch.teacher.request.teacherorg;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yrf
 * @date 2019/3/19 10:32
 */
public class AnswerFilterConditionReq extends BaseRequest {

    private static final long serialVersionUID = -3155347361957864323L;

    @ApiModelProperty(name = "homeworkId", value = "作业id", required = true)
    @NotBlank
    private String homeworkId;

    @ApiModelProperty(name="pageNo",value = "当前页码",required = true)
    private Integer pageNo;

    @ApiModelProperty(name="pageSize",value = "每页条数",required = true)
    private Integer pageSize;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }
}
